> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/apis/api-reference/pickup-service.md).

# Pickup Service

Endpoints to create, update, and read pickup services.

## Get a pickupServices by filter

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Retrieves all matching pickupServices respecting the filter criteria.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read pickup services.","name":"Pickup service"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PickupServices":{"properties":{"pickupServices":{"description":"List of pickup services matching the query","items":{"$ref":"#/components/schemas/PickupService"},"maxItems":500,"type":"array"},"total":{"description":"Total number of found entities for this query","type":"integer"}},"title":"PickupServices","type":"object","description":"PickupServices"},"PickupService":{"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Localized name of this pickupService"},"descriptionLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Localized description of this pickupService"},"active":{"description":"Whether this pickupService is active","type":"boolean"},"context":{"description":"The contexts in which this pickupService is available","items":{"$ref":"#/components/schemas/PickupServiceContext"},"type":"array"},"created":{"description":"Creation date of this pickupService","format":"date-time","type":"string"},"description":{"description":"Description of this pickupService","type":"string"},"id":{"description":"Unique identifier of this pickupService","type":"string"},"lastModified":{"description":"Last modification date of this pickupService","format":"date-time","type":"string"},"name":{"description":"Name of this pickupService","type":"string"},"type":{"description":"Type of this pickupService","enum":["ID_CHECK","SIGNATURE"],"type":"string"},"version":{"description":"Version number of this pickupService","type":"number"}},"required":["id","version","created","lastModified","type","descriptionLocalized","nameLocalized","active","context"],"title":"PickupService","type":"object","description":"PickupService"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"PickupServiceContext":{"properties":{"type":{"description":"Type of this pickupService context","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"values":{"description":"Values of this pickupService context","items":{"type":"string"},"type":"array"}},"required":["type","values"],"title":"PickupServiceContext","type":"object","description":"PickupServiceContext"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/pickupservices":{"get":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Retrieves all matching pickupServices respecting the filter criteria.","operationId":"getPickupServices","parameters":[{"description":"number of entities to show","in":"query","name":"size","required":true,"schema":{"default":25,"maximum":500,"minimum":1,"type":"integer"}},{"description":"all entities after given Id","in":"query","name":"startAfterId","required":false,"schema":{"minLength":1,"type":"string"}},{"description":"Whether this pickupService is active","in":"query","name":"active","required":false,"schema":{"nullable":true,"type":"boolean"}},{"description":"Filter by facility reference. Matches pickupServices whose context contains a FACILITY entry with this value.","in":"query","name":"facilityRef","required":false,"schema":{"nullable":true,"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickupServices"}}},"description":"Successfully retrieved the pickupServices."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Get a pickupServices by filter","tags":["Pickup service"]}}}}
```

## Create a pickupService

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Creates a new pickupService.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read pickup services.","name":"Pickup service"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PickupServiceForCreation":{"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Localized name of this pickupService"},"descriptionLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Localized description of this pickupService"},"active":{"description":"Whether this pickupService is active","type":"boolean"},"context":{"description":"The contexts in which this pickupService is available","items":{"$ref":"#/components/schemas/PickupServiceContextInput"},"maxItems":100,"type":"array"},"type":{"description":"Type of this pickupService","enum":["ID_CHECK","SIGNATURE"],"type":"string"}},"required":["type","descriptionLocalized","nameLocalized","active","context"],"title":"PickupServiceForCreation","type":"object","description":"PickupServiceForCreation"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"PickupServiceContextInput":{"properties":{"type":{"description":"Type of this pickupService context","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"values":{"description":"Values of this pickupService context","items":{"type":"string"},"maxItems":500,"type":"array"}},"required":["type","values"],"title":"PickupServiceContextInput","type":"object","description":"PickupServiceContextInput"},"PickupService":{"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Localized name of this pickupService"},"descriptionLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Localized description of this pickupService"},"active":{"description":"Whether this pickupService is active","type":"boolean"},"context":{"description":"The contexts in which this pickupService is available","items":{"$ref":"#/components/schemas/PickupServiceContext"},"type":"array"},"created":{"description":"Creation date of this pickupService","format":"date-time","type":"string"},"description":{"description":"Description of this pickupService","type":"string"},"id":{"description":"Unique identifier of this pickupService","type":"string"},"lastModified":{"description":"Last modification date of this pickupService","format":"date-time","type":"string"},"name":{"description":"Name of this pickupService","type":"string"},"type":{"description":"Type of this pickupService","enum":["ID_CHECK","SIGNATURE"],"type":"string"},"version":{"description":"Version number of this pickupService","type":"number"}},"required":["id","version","created","lastModified","type","descriptionLocalized","nameLocalized","active","context"],"title":"PickupService","type":"object","description":"PickupService"},"PickupServiceContext":{"properties":{"type":{"description":"Type of this pickupService context","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"values":{"description":"Values of this pickupService context","items":{"type":"string"},"type":"array"}},"required":["type","values"],"title":"PickupServiceContext","type":"object","description":"PickupServiceContext"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/pickupservices":{"post":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Creates a new pickupService.","operationId":"createPickupService","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickupServiceForCreation"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickupService"}}},"description":"Successfully created the pickupService."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Create a pickupService","tags":["Pickup service"]}}}}
```

## Get a pickupService by its ID

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Retrieves a single pickupService using its unique identifier.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read pickup services.","name":"Pickup service"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PickupService":{"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Localized name of this pickupService"},"descriptionLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Localized description of this pickupService"},"active":{"description":"Whether this pickupService is active","type":"boolean"},"context":{"description":"The contexts in which this pickupService is available","items":{"$ref":"#/components/schemas/PickupServiceContext"},"type":"array"},"created":{"description":"Creation date of this pickupService","format":"date-time","type":"string"},"description":{"description":"Description of this pickupService","type":"string"},"id":{"description":"Unique identifier of this pickupService","type":"string"},"lastModified":{"description":"Last modification date of this pickupService","format":"date-time","type":"string"},"name":{"description":"Name of this pickupService","type":"string"},"type":{"description":"Type of this pickupService","enum":["ID_CHECK","SIGNATURE"],"type":"string"},"version":{"description":"Version number of this pickupService","type":"number"}},"required":["id","version","created","lastModified","type","descriptionLocalized","nameLocalized","active","context"],"title":"PickupService","type":"object","description":"PickupService"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"PickupServiceContext":{"properties":{"type":{"description":"Type of this pickupService context","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"values":{"description":"Values of this pickupService context","items":{"type":"string"},"type":"array"}},"required":["type","values"],"title":"PickupServiceContext","type":"object","description":"PickupServiceContext"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/pickupservices/{id}":{"get":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Retrieves a single pickupService using its unique identifier.","operationId":"getPickupServiceById","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickupService"}}},"description":"Successfully retrieved the pickupService."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Get a pickupService by its ID","tags":["Pickup service"]}}}}
```

## Update a pickupService by its ID

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Updates a single pickupService using its unique identifier.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read pickup services.","name":"Pickup service"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PickupServiceForUpdate":{"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Localized name of this pickupService"},"descriptionLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Localized description of this pickupService"},"active":{"description":"Whether this pickupService is active","type":"boolean"},"context":{"description":"The contexts in which this pickupService is available","items":{"$ref":"#/components/schemas/PickupServiceContextInput"},"maxItems":100,"type":"array"},"type":{"description":"Type of this pickupService","enum":["ID_CHECK","SIGNATURE"],"type":"string"},"version":{"description":"Version number of this pickupService","type":"number"}},"required":["version"],"title":"PickupServiceForUpdate","type":"object","description":"PickupServiceForUpdate"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"PickupServiceContextInput":{"properties":{"type":{"description":"Type of this pickupService context","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"values":{"description":"Values of this pickupService context","items":{"type":"string"},"maxItems":500,"type":"array"}},"required":["type","values"],"title":"PickupServiceContextInput","type":"object","description":"PickupServiceContextInput"},"PickupService":{"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Localized name of this pickupService"},"descriptionLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Localized description of this pickupService"},"active":{"description":"Whether this pickupService is active","type":"boolean"},"context":{"description":"The contexts in which this pickupService is available","items":{"$ref":"#/components/schemas/PickupServiceContext"},"type":"array"},"created":{"description":"Creation date of this pickupService","format":"date-time","type":"string"},"description":{"description":"Description of this pickupService","type":"string"},"id":{"description":"Unique identifier of this pickupService","type":"string"},"lastModified":{"description":"Last modification date of this pickupService","format":"date-time","type":"string"},"name":{"description":"Name of this pickupService","type":"string"},"type":{"description":"Type of this pickupService","enum":["ID_CHECK","SIGNATURE"],"type":"string"},"version":{"description":"Version number of this pickupService","type":"number"}},"required":["id","version","created","lastModified","type","descriptionLocalized","nameLocalized","active","context"],"title":"PickupService","type":"object","description":"PickupService"},"PickupServiceContext":{"properties":{"type":{"description":"Type of this pickupService context","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"values":{"description":"Values of this pickupService context","items":{"type":"string"},"type":"array"}},"required":["type","values"],"title":"PickupServiceContext","type":"object","description":"PickupServiceContext"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/pickupservices/{id}":{"patch":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Updates a single pickupService using its unique identifier.","operationId":"updatePickupService","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickupServiceForUpdate"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickupService"}}},"description":"Successfully updated the pickupService."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Update a pickupService by its ID","tags":["Pickup service"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/pickup-service.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
